#define __OCICPP_INTERNAL_USE_
#include "OraRowID.h"


OraRowID::OraRowID(OCIEnv *envhp,OCIError *errhp,OCIParam *param,ub2 type) :
	OraType(env,errhp,param,type),rowid(0)
{
	ReqType=SQLT_RDD; /* request Oracle 8 RowID */
	size=0;
	if(OCIDescriptorAlloc((void *)envhp,(void **)&rowid,OCI_DTYPE_ROWID,0,0)!=OCI_SUCCESS) {
		throw new OraError("OCICPPLIB: Cannot make new ROWID: Handle Allocation failed",OCICPPERROR);
	}
}

OraRowID::~OraRowID() {
	OCIDescriptorFree(rowid,OCI_DTYPE_ROWID);
	OCIHandleFree(definehp,OCI_HTYPE_DEFINE);
}

void OraRowID::define(OCIStmt *stmt,int col) {
	CHECKERR(err, OCIDefineByPos(stmt,&definehp, err, col+1, &rowid, -1,ReqType,
					(dvoid *) &null, 0, (ub2 *)0, OCI_DEFAULT));
}

void OraRowID::getStr(string &str) {
	str.assign(typeName);
}
/*
void OraRowID::getRowID(RowID &rid) {
	rid.init(this);
}
*/
